Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.changesets
Interface UnitOfWorkChangeSet

public interface UnitOfWorkChangeSet

Purpose: To Provide API to the UnitOfWorkChangeSet.

Description:The UnitOfWorkChangeSet contains all of the individual ObjectChangeSets. It is stored and used by the UnitOfWork

Method Summary
`oracle.toplink.internal.helper.IdentityHashtable` | `getAllChangeSets()` ADVANCED: This method returns a reference to the collection.
`oracle.toplink.internal.helper.IdentityHashtable` | `getDeletedObjects()` ADVANCED: This method returns the reference to the deleted objects from the changeSet
`ObjectChangeSet` | `getObjectChangeSetForClone(java.lang.Object clone)` ADVANCED: Get ChangeSet for a particular clone
`java.lang.Object` | `getUOWCloneForObjectChangeSet(ObjectChangeSet changeSet)` ADVANCED: This method returns the Clone for a particular changeSet
`boolean` | `hasChanges()` ADVANCED: Returns true if the Unit Of Work change Set has changes

Method Detail

### getAllChangeSets

    public oracle.toplink.internal.helper.IdentityHashtable getAllChangeSets()

  ADVANCED: This method returns a reference to the collection. Not All ChangeSets that Exist in this list may have changes
  Returns:
    oracle.toplink.internal.helper.IdentityHashtable

### getDeletedObjects

    public oracle.toplink.internal.helper.IdentityHashtable getDeletedObjects()

  ADVANCED: This method returns the reference to the deleted objects from the changeSet
  Returns:
    oracle.toplink.internal.helper.IdentityHashtable

### getObjectChangeSetForClone

    public ObjectChangeSet getObjectChangeSetForClone(java.lang.Object clone)

  ADVANCED: Get ChangeSet for a particular clone
  Returns:
    oracle.toplink.changesets.ObjectChangeSet the changeSet that represents a particular clone

### getUOWCloneForObjectChangeSet

    public java.lang.Object getUOWCloneForObjectChangeSet(ObjectChangeSet changeSet)

  ADVANCED: This method returns the Clone for a particular changeSet
  Returns:
    Object the clone represented by the changeSet

### hasChanges

    public boolean hasChanges()

  ADVANCED: Returns true if the Unit Of Work change Set has changes
  Returns:
    boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD